Download it now!
Bug 89632 - FILEOPEN: Opening file from Samba share produce Document in Use dialog (~/.gvfs or mount.cifs)
Summary: FILEOPEN: Opening file from Samba share produce Document in Use dialog (~/.gv...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-24 20:48 UTC by Norbert X
Modified: 2016-12-07 12:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Norbert X 2015-02-24 20:48:39 UTC
The bug is somehow related to bug#72337.

I'm on Ubuntu 12.04.5 with all updates and LibreOffice Version: 4.4.1.2
Build ID: 40m0(Build:2) (libreoffice 1:4.4.1~rc2-0ubuntu1~precise1) from PPA.

Steps to reproduce:
1. I have shared my Public folder using nautilus-share (0.7.3-1ubuntu2), placed test.odt file in it.
2. I navigate Nautilus to smb://localhost, clicked Open in Terminal here (or launch terminal and "cd ~/.gvfs/public\ on\ localhost").
3. Run "libreoffice test.odt" in terminal.
4. Got "Document in Use" window with text:

   Document file 'test.odt' is locked for editing by:

   Unknown User

   Open document read-only or open a copy of the document for editing.


   Open Read-Only     Open Copy     Cancel

5a. If I click 'Open Read-Only' the document is opened in read-only.
5b. If I click 'Open Copy' the "Untitled 1" document is opened.
5c. Cancel closes this window.


Expected results:
   The "test.odt" files is opened in read-write mode, user can edit it.

Actual results:
   User can't edit original document (see pp. 4-5 above).


This functionality is essential. Please fix this bug.
Comment 1 Norbert X 2015-02-24 21:24:10 UTC
Bug exists in LibreOffice "Version: 4.3.6.2 Build ID: 430m0(Build:2)" (1:4.3.6~rc2-0ubuntu1~precise1).
Comment 2 Björn Michaelsen 2015-02-24 22:54:18 UTC
Can this problem be reproduced on a newer Ubuntu version than 12.04 (e.g. on 14.04 or 15.10)? If not, this likely is yet another case of: https://launchpad.net/bugs/1103953
Comment 3 Norbert X 2015-02-28 21:14:24 UTC
I did some research with different versions of LibO and on different distros.
The test method was as follows: I set Samba public share on my other laptop, created document in this share, then connect to it.
Here is a Google Docs Table ( http://goo.gl/jY9Ubj ):
* I got message about repairing only in 12.04.5 with LibO 4.x
* In other distros I got 'Document in Use' very often.

After this research I can't determine why 'Document in Use' message is produced.
Comment 4 Norbert X 2015-03-07 07:26:38 UTC
I did deeper research ( see comment 23 at https://bugs.documentfoundation.org/show_bug.cgi?id=72337#c23 ).

    So for me it seems that there is a difference in communication between
    Samba SMB/CIFS (or Windows SMB/CIFS) server and LibreOffice.
    I do not know how to debug this. Both SMB/CIFS servers provide full read and
    write access on file level (via GVFS and mount.cifs).
    Samba SMB/CIFS share was created with nautilus-share addon, without any error
    messages and non-standard configuration.

    My results are summarized in Google Docs table ( http://goo.gl/jY9Ubj ).

I need confirmation from other users.
Comment 5 Norbert X 2015-03-15 16:53:42 UTC
Dear Bjorn!
This bug exists in modern versions of Ubuntu too.

I set SMB/CIFS *server* in Ubuntu 14.04.2 and connected to it from other 
*client* distros - I got "Document in Use" very often (see my table -  http://goo.gl/jY9Ubj , sheet "Ubuntu 14.04 Samba Server").

Please fix this bug.
I'm ready to help, provide more information, to test dev-builds and so on.
Comment 6 raal 2016-05-03 07:13:31 UTC
Hello Norbert, bug 72337 is fixed. Do you have still the problem in actual version of LO?
Comment 7 Buovjaga 2016-05-06 14:02:39 UTC
Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
(Or should it be duplicate of 72337 if it works..?)
Comment 8 QA Administrators 2016-11-08 12:33:57 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2016-12-07 12:36:25 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20161207